# AMPcombi : A parsing, filtering and annotation workflow for tools predicting AntiMicrobial Peptide genes

<img src="https://raw.githubusercontent.com/Darcy220606/AMPcombi/main/docs/amp-combi-logo.png" width="300" height="250" /> 

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![Install with Bioconda](https://anaconda.org/bioconda/ampcombi/badges/downloads.svg)](https://anaconda.org/bioconda/ampcombi) [![Install with Bioconda](https://anaconda.org/bioconda/ampcombi/badges/version.svg)](https://anaconda.org/bioconda/ampcombi)


**AMPcombi and its submodules provide a command-line interface to:**

- parse the results of multiple antimicrobial peptide (AMP) prediction tools into a single table
- align the AMP hits against a reference AMP database for functional and structural classifications
- filter the AMP hits according to their physio-chemical properties
- cluster the filtered AMP hits into AMP families
- predict signaling peptides if present along the prepropeptide sequence

📕 The full documentation for AMPcombi can be accessed [here](https://ampcombi.readthedocs.io/en/v.2.0.1/).

📎 If you plan to use AMPcombi please don't forget to **cite** us 💚
